--[[ Option chat commands ]]
do
	local function CreateCmdListEntry(category, command, num)
		if not num then
			num = command
			command = _G[category..1]
		end
		
		for i = 1, num do
			_G["SLASH_OPTION_"..category..i] = SLASH_OPTION_SLASH1..strsub(_G[category..i] or command, 2)
		end
		
		SlashCmdList["OPTION_"..category] = function(message)
			message = SecureCmdOptionParse(message)
			if message then
				message = command.." "..message
				local origText = ChatFrameEditBox:GetText()
				ChatFrameEditBox:SetText(message)
				ChatEdit_SendText(ChatFrameEditBox)
				ChatFrameEditBox:SetText(origText)
			end
		end
	end

	local baseCommands = {
		SLASH_BATTLEGROUND = 4,
		SLASH_CHANNEL = 4,
		SLASH_EMOTE = 8,
		SLASH_GUILD = 8,
		SLASH_OFFICER = 4,
		SLASH_PARTY = 4,
		SLASH_RAID = 6,
		SLASH_RAID_WARNING = 2,
		SLASH_REPLY = 4,
		SLASH_SAY = 4,
		SLASH_WHISPER = 10,
		SLASH_YELL = 8,
		SLASH_GROUP_CHAT = 2,
		SLASH_TELL_UNIT = 4,
	}
	
	for k, v in pairs(baseCommands) do
		CreateCmdListEntry(k, v)
	end
	
	for i = 1, 10 do
		CreateCmdListEntry("CHANNEL"..i.."_", "/"..i, 1)
	end
end
