--[[ /group ]]
local function IsInBattleground()
	for i = 1, MAX_BATTLEFIELD_QUEUES do
		status = GetBattlefieldStatus(i)
		if status == "active" then
			return true
		end
	end
	return false
end

SlashCmdList["GROUP_CHAT"] = function(text)
	local channel = 
		IsInBattleground() and "BATTLEGROUND" or
		GetNumRaidMembers() > 0 and "RAID" or
		GetNumPartyMembers() > 0 and "PARTY"
	
	if channel then
		SendChatMessage(text, channel, DEFAULT_CHAT_FRAME.editBox.language)
	else
		DEFAULT_CHAT_FRAME:AddMessage(ERR_NOT_IN_GROUP)
	end
end




--[[ /tellunit ]]
SlashCmdList["TELL_UNIT"] = function(text)
	local unit, message = strsplit(" ", text, 2)
	local name, realm = UnitName(strtrim(unit))
	if realm then
		name = name.."-"..realm
	end
	
	if name then
		SendChatMessage(message, "WHISPER", nil, name)
	end
end




--[[ /opt ]]
SlashCmdList["OPTION_SLASH"] = function(message)
	message = SecureCmdOptionParse(message)
	if message then
		local origText = ChatFrameEditBox:GetText()
		ChatFrameEditBox:SetText(message)
		ChatEdit_SendText(ChatFrameEditBox)
		ChatFrameEditBox:SetText(origText)
	end
end
