--[[ Text substitutions ]]
local subsUnits = {
	"target",
	"focus",
	"mouseover",
	"pet",
}

local subsInfoFuncs = {
	UnitName,
	
	function(unit)
		local level = UnitLevel(unit)
		return level > 0 and level or level < 0 and "??"
	end,
	
	UnitClass,
	
	function(unit)
		return MACROTALK_SEXES[UnitSex(unit)]
	end,
	
	function(unit)
		local race = UnitRace(unit)
		return race or MACROTALK_UNKNOWN_RACE
	end,
}

local OrigSendChatMessage = SendChatMessage
function SendChatMessage(text, ...)
	for infoIndex = 1, #subsInfoFuncs do
		local func = subsInfoFuncs[infoIndex]
		local prefix = MACROTALK_PREFIXES[infoIndex]
		for unitIndex = 1, #subsUnits do
			local localUnit = MACROTALK_LOCALIZED_UNITS[unitIndex]
			local localUnitName = localUnit.name
			local initial = localUnit.initial or localUnitName:sub(1,1)
			local unit = subsUnits[unitIndex]
			text = text:gsub("%%"..prefix..initial,
				UnitExists(unit) and func(unit) or format(MACROTALK_NO_UNIT, localUnitName))
		end
	end
	return OrigSendChatMessage(text, ...)
end
